Provider Settings
View or update the provider record and provider preferences.
GET /me
Fetch the authenticated provider’s details.
Returns 200 with these fields in data:
| Field | Type |
|---|---|
id | string |
name | string |
state | string |
lga | string |
address | string |
phone_number | string |
dial_code | string |
api_key | string |
test_api_key | string |
low_balance_threshold | number |
provider_wallet_auto_debit | boolean |
created_at | string |
updated_at | string |
Errors: 401 unauthorized.
POST /me/token
Refresh the provider’s API token.
Returns 200 with these fields in data:
| Field | Type |
|---|---|
id | string |
name | string |
state | string |
lga | string |
address | string |
phone_number | string |
dial_code | string |
api_key | string |
test_api_key | string |
low_balance_threshold | number |
provider_wallet_auto_debit | boolean |
created_at | string |
updated_at | string |
Errors: 401 unauthorized.
PUT /edit
Edit provider information.
Inputs
| Location | Field | Type | Required |
|---|---|---|---|
| body | phone_number | string | No |
| body | first_name | string | No |
| body | last_name | string | No |
| body | name | string | No |
| body | address | string | No |
| body | email | string | No |
Example
PUT https://dispensaryapi.famasi.africa/api/v1/providers/editReturns 200 with these fields:
| Field | Type |
|---|---|
edited_provider | object |
Errors: 400 invalid input, 500 internal server error.
POST /upload_logo
Upload a logo for a provider.
Inputs
| Location | Field | Type | Required |
|---|---|---|---|
| body | file | string | No |
Example
POST https://dispensaryapi.famasi.africa/api/v1/providers/upload_logoReturns 200 with these fields:
| Field | Type |
|---|---|
provider | object |
Errors: 400 no file uploaded.
POST /update-payment-type
Update the preferred payment type for a provider.
Inputs
| Location | Field | Type | Required |
|---|---|---|---|
| body | preferred_payment_type | string | No |
Example
POST https://dispensaryapi.famasi.africa/api/v1/providers/update-payment-typeReturns 200 with these fields in data:
| Field | Type |
|---|---|
id | string |
name | string |
state | string |
lga | string |
address | string |
phone_number | string |
dial_code | string |
api_key | string |
test_api_key | string |
low_balance_threshold | number |
provider_wallet_auto_debit | boolean |
created_at | string |
updated_at | string |
Errors: 500 internal server error.
POST /set-low-balance-threshold
Set the low wallet balance threshold for a provider.
Inputs
| Location | Field | Type | Required |
|---|---|---|---|
| body | threshold | number | No |
Example
POST https://dispensaryapi.famasi.africa/api/v1/providers/set-low-balance-thresholdReturns 200 with these fields in data:
| Field | Type |
|---|---|
id | string |
name | string |
state | string |
lga | string |
address | string |
phone_number | string |
dial_code | string |
api_key | string |
test_api_key | string |
low_balance_threshold | number |
provider_wallet_auto_debit | boolean |
created_at | string |
updated_at | string |
Errors: 500 internal server error.
POST /toggle-auto-debit
Toggle auto-debit functionality for a provider.
Inputs
| Location | Field | Type | Required |
|---|---|---|---|
| body | enable | boolean | No |
Example
POST https://dispensaryapi.famasi.africa/api/v1/providers/toggle-auto-debitReturns 200 with these fields in data:
| Field | Type |
|---|---|
id | string |
name | string |
state | string |
lga | string |
address | string |
phone_number | string |
dial_code | string |
api_key | string |
test_api_key | string |
low_balance_threshold | number |
provider_wallet_auto_debit | boolean |
created_at | string |
updated_at | string |
Errors: 500 internal server error.
Authentication
Send a provider API key as x-api-key. Provider API keys →